/*
 * Class CHAIN [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1952 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1952 [] = {0xFF01,1551,1951,878,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1952 [] = {0xFF01,1951,878,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1952 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1952 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1952 [] = {0xFF01,1951,878,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1952 [] = {0xFF01,1951,878,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1952 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1952 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1952 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1952 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1952 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1952 [] = {1951,878,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1952 [] = {0xFF01,1951,878,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1952 [] = {0xFF01,1938,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1952 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1952 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1952 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1952 [] = {0xFF01,1933,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1952 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1952 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1952 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1952 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1952 [] = {0xFF01,1951,878,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1952 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1952 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1952 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1952 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1952 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1952[] = {
	{EIF_GENERIC(NULL), 12240, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1952), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1952), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1952), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1952), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1952), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1952), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1952), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1952), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1952), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1952), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1952), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1952), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1952), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1952), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12243, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9221, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8649, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1952), 8889, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1952), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1952), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9301, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9095, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12239, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12244, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8974, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12247, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1952), 8882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12250, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9039, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9305, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12237, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9307, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1952), 11019, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1952), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1952), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12256, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8885, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8880, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9303, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12260, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1952), 12241, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1952), 12242, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12251, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12252, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12254, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12255, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12257, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12258, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12238, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1952), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8881, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1952), 12245, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1952), 12246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12253, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12259, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12259, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1952), 12245, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1952), 12248, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12253, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12247, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1952), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1952(void)
{
	IDSC(desc_1952, 0, 1951);
	IDSC(desc_1952 + 1, 1, 1951);
	IDSC(desc_1952 + 32, 1134, 1951);
	IDSC(desc_1952 + 41, 1060, 1951);
	IDSC(desc_1952 + 47, 1444, 1951);
	IDSC(desc_1952 + 56, 1135, 1951);
	IDSC(desc_1952 + 65, 1088, 1951);
	IDSC(desc_1952 + 67, 1534, 1951);
	IDSC(desc_1952 + 74, 1245, 1951);
	IDSC(desc_1952 + 77, 387, 1951);
	IDSC(desc_1952 + 79, 636, 1951);
	IDSC(desc_1952 + 93, 916, 1951);
	IDSC(desc_1952 + 99, 1570, 1951);
	IDSC(desc_1952 + 102, 778, 1951);
	IDSC(desc_1952 + 103, 254, 1951);
	IDSC(desc_1952 + 106, 554, 1951);
	IDSC(desc_1952 + 107, 878, 1951);
	IDSC(desc_1952 + 108, 794, 1951);
}


#ifdef __cplusplus
}
#endif
